# Node Parts Module

## Overview

The `node_parts` module enables the insertion of `page part` paragraphs between
regular paragraphs, automatically splitting node content into paginated
sections. Each `page part` paragraph triggers a new page break and generates a
navigation link to the next page.

## Features

- **Automatic Pagination**: Converts node paragraphs into multiple pages
- **Flexible Placement**: Insert `page part` paragraphs anywhere between
paragraphs
- **Navigation Links**: Automatically generates "Next Page" links
- **Manual navigation links**: Optionally add `page part link` paragraphs for
custom navigation to the next page
- **Seamless Integration**: Works with standard Drupal paragraph types

## Installation

1. Install the module via Composer or manual placement in `/modules/contrib`
2. Enable the module through `/admin/modules`
3. Configure permissions as needed

## Usage

1. Create or edit a node with paragraphs
2. Add a `page part` paragraph type to your paragraph field
3. Optionally add the `page part link` paragraph type to your paragraph field
4. Insert `page part` paragraphs where page breaks should occur
5. Optionally add `page part link` paragraphs for navigation
6. Save the content – the system will automatically:
  - Split content at each `page part`
  - Generate paginated views
  - Create navigation to next page

## Requirements

- Drupal 10/11
- Node module
- Paragraphs module
- File module

## Maintainers

- [Dudás József](https://www.drupal.org/u/dj1999) - [Drupal.org]

## Supported organizations
- [Brainsum](https://www.brainsum.com)
