<?php

namespace Drupal\node_parts;

use Drupal\Core\Entity\EntityInterface;

/**
 * This is the node analyzer interface.
 */
interface AnalyzerInterface {

  /**
   * Get the fields which use paragraph.
   *
   * @param \Drupal\node\NodeInterface $entity
   *  The node entity.
   *
   * @return array
   *   The fields which use paragraph.
   */
  public function getFields(EntityInterface $entity): array;

  /**
   * Get the page count for the entity.
   *
   * @param \Drupal\node\NodeInterface $entity
   *   The node to get the page count for.
   *
   * @return int
   *   The number of pages in the entity.
   */
  public function pageCount(EntityInterface $entity): int;

}
