<?php

namespace Drupal\node_parts;

use Drupal\Core\Entity\Display\EntityViewDisplayInterface;
use Drupal\Core\Entity\EntityInterface;

/**
 * Interface for rendering entities.
 */
interface RendererInterface {

  /**
   * Render the entity.
   *
   * @param array $build
   *   The render array.
   * @param \Drupal\node\NodeInterface $entity
   *   The node to render.
   * @param \Drupal\Core\Entity\Display\EntityViewDisplayInterface $display
   *   The display to use.
   * @param string $view_mode
   *   The view mode to use.
   *
   * @return array
   *   The render array.
   */
  public function render(array &$build, EntityInterface $entity, EntityViewDisplayInterface $display, string $view_mode): array;

}
